table.insert( actions,
{
		id          = "ZERO_GRAVITY",
		name 		= "zero_gravity",
		description = "gracity_y=o",
		sprite 		= "mods/level_up_wand/files/sprite/icon_testbullet_green.png",
		sprite_unidentified = "",
		type 		= ACTION_TYPE_MODIFIER,
		spawn_level                       = "0,1,2,3,4,5,6", -- HOMING_SHOOTER
		spawn_probability                 = "0,0,0,0,0,0,0", -- HOMING_SHOOTER
		price = 100,
		mana = 20,
		--max_uses = 100,
		action 		= function()
			c.extra_entities = c.extra_entities .. "mods/level_up_wand/files/misc/zero_gravity.xml,"
			draw_actions( 1, true )
		end,
	})

table.insert( actions,
	{
		id          = "DAMAGE_C",
		name 		= "damage_custom",
		description = "damage_projectile_add_0.2",
		sprite 		= "mods/level_up_wand/files/sprite/icon_testbullet_red.png",
		sprite_unidentified = "",
		type 		= ACTION_TYPE_MODIFIER,
		spawn_level                       = "1,2,3,4,5", -- DAMAGE
		spawn_probability                 = "0,0,0,0,0", -- DAMAGE
		price = 140,
		mana = 5,
		--max_uses = 50,
		custom_xml_file = "data/entities/misc/custom_cards/damage.xml",
		action 		= function()
			c.damage_projectile_add = c.damage_projectile_add + 0.8
			c.extra_entities    = c.extra_entities .. "data/entities/particles/tinyspark_yellow.xml,"
			draw_actions( 1, true )
		end,
	})

table.insert( actions,
	{
		id          = "CRITICAL_HIT_C",
		name 		= "critical_hit_custom",
		description = "damage_critical_chance_Add_5",
		sprite 		= "mods/level_up_wand/files/sprite/icon_testbullet_white.png",
		sprite_unidentified = "",
		type 		= ACTION_TYPE_MODIFIER,
		spawn_level                       = "1,2,3,4,5", -- DAMAGE
		spawn_probability                 = "0,0,0,0,0", -- DAMAGE
		price = 140,
		mana = 5,
		--max_uses = 50,
		custom_xml_file = "data/entities/misc/custom_cards/critical_hit.xml",
		action 		= function()
			c.damage_critical_chance = c.damage_critical_chance + 25
			draw_actions( 1, true )
		end,
	})

table.insert( actions,
	{
		id          = "SPEED_C",
		name 		= "speed_custom",
		description = "speed_multiplier * 1.2",
		sprite 		= "mods/level_up_wand/files/sprite/icon_testbullet_blue.png",
		sprite_unidentified = "",
		type 		= ACTION_TYPE_MODIFIER,
		spawn_level                       = "1,2,3,4,5", -- DAMAGE
		spawn_probability                 = "0,0,0,0,0", -- DAMAGE
		price = 140,
		mana = 5,
		--max_uses = 50,
		custom_xml_file = "data/entities/misc/custom_cards/speed.xml",
		action 		= function()
			c.speed_multiplier = c.speed_multiplier * 2.0
			draw_actions( 1, true )
		end,
	})


table.insert( actions,
	{
		id          = "FIRE_RATE",
		name 		= "fire_rate",
		description = "fire_rate_wait - 10",
		sprite 		= "mods/level_up_wand/files/sprite/icon_testbullet_purple.png",
		sprite_unidentified = "",
		type 		= ACTION_TYPE_MODIFIER,
		spawn_level                       = "1,2,3,4,5", -- DAMAGE
		spawn_probability                 = "0,0,0,0,0", -- DAMAGE
		price = 140,
		mana = 5,
		--max_uses = 50,
		--custom_xml_file = "data/entities/misc/custom_cards/speed.xml",
		action 		= function()
			c.fire_rate_wait    = c.fire_rate_wait - 20
	              --current_reload_time = math.max(0, current_reload_time - 20)
			draw_actions( 1, true )
		end,
	})

table.insert( actions,
	{
		id          = "RELOAD",
		name 		= "reload",
		description = "reload_time - 5",
		sprite 		= "mods/level_up_wand/files/sprite/icon_testbullet_gold.png",
		sprite_unidentified = "",
		type 		= ACTION_TYPE_MODIFIER,
		spawn_level                       = "1,2,3,4,5", -- DAMAGE
		spawn_probability                 = "0,0,0,0,0", -- DAMAGE
		price = 140,
		mana = 5,
		--max_uses = 50,
		--custom_xml_file = "data/entities/misc/custom_cards/speed.xml",
		action 		= function()
	              --c.fire_rate_wait    = c.fire_rate_wait - 10
	                current_reload_time = current_reload_time - 10
			draw_actions( 1, true )
		end,
	})

table.insert( actions,	
	{
		id          = "BLOOD_SUCK",
		name 		= "blood_suck",
		description = "You were betrayed by a wand",
		sprite 		= "mods/level_up_wand/files/sprite/icon_testbullet_blood.png",
		sprite_unidentified = "",
		type 		= ACTION_TYPE_MODIFIER,
		spawn_level                       = "0,1,2,3,4", -- oil_TRAIL
		spawn_probability                 = "0,0,0,0,0", -- oil_TRAIL
		price = 160,
		mana = 10,
		--max_uses = 50,
		custom_xml_file = "mods/level_up_wand/files/custom_cards/blood_suck.xml",
		action 		= function()
			draw_actions( 1, true )
		end,
	})

table.insert( actions,	
	{
		id          = "BLOOD_SUCK_PRO",
		name 		= "blood_suck",
		description = "You were betrayed by a wand",
		sprite 		= "mods/level_up_wand/files/sprite/icon_testbullet_blood.png",
		sprite_unidentified = "",
		type 		= ACTION_TYPE_MODIFIER,
		spawn_level                       = "0,1,2,3,4", -- oil_TRAIL
		spawn_probability                 = "0,0,0,0,0", -- oil_TRAIL
		price = 160,
		mana = 10,
		--max_uses = 50,
		--custom_xml_file = "mods/level_up_wand/files/custom_cards/blood_suck.xml",
		action 		= function()
			draw_actions( 1, true )
		end,
	})