dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

local parent_id = EntityGetParent( entity_id )

local target_id = 0

if ( parent_id ~= NULL_ENTITY ) then
	target_id = parent_id
else
	target_id = entity_id
end

if ( target_id ~= NULL_ENTITY ) then
	local velocity_comp = EntityGetComponent( target_id, "VelocityComponent" )
	
	if( velocity_comp == nil ) then return end
	
	if ( #velocity_comp > 0 ) then
		edit_component( target_id, "VelocityComponent", function(comp,vars)
			vars.gravity_y = 0
		end)
	end
end
